<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
	xmlns:ui="http://java.sun.com/jsf/facelets"
	xmlns:h="http://java.sun.com/jsf/html"
	xmlns:c="http://java.sun.com/jsf/core"
	xmlns:p="http://primefaces.org/ui"
	xmlns:f="http://java.sun.com/jsf/core">
<h:head>
</h:head>

<h:body>
<ui:composition >


<h:panelGroup  rendered="#{tipo eq 'inicio'}">

	<h:dataTable var="list" value="#{SitioBean.p}" style="width: 100%;">
	<h:column>
		<h:panelGroup  rendered="#{not list.isPrivado() and not list.getL().isEmpty()}">
			<div
				style="display: flex; align-items: center; justify-content: center;">
				<h3>#{list.getNombre()}</h3>
			</div>
			<div style="display: flex; justify-content: center; margin: 20px;">
	
				<p:galleria value="#{list.getL()}" var="image" panelWidth="500"
					panelHeight="313" showCaption="true">
					<h:form>
                    <p:commandButton rendered="#{BeanDeSeguridad.isSecion() and SitioBean.isFan() or SitioBean.isSecionArtistaDueño()}" value ="Comentar y Valorar" action="#{ContenidoBean.ListarComentarios()}" oncomplete="PF('sidebar2').show()">
						<f:param name="id" value="#{image.getIdContenido()}"/>
                    </p:commandButton>
                	</h:form>
					<h:form>
		                <p:commandButton rendered="#{BeanDeSeguridad.isSecion() and SitioBean.isSecionArtistaDueño()}" value="Eliminar" action="#{ContenidoBean.prepararEditar2()}" oncomplete="PF('dlgELC').show();">
						<f:param name="id2" value="#{image.getIdContenido()}"/>
						</p:commandButton>
		            </h:form>
		            
						<h:form>
                            <p:commandButton rendered="#{BeanDeSeguridad.isSecion() and not SitioBean.isSecionArtistaDueño()}" value="Reportar" action="#{SitioBean.prepararReport()}"
                              oncomplete="PF('reportar').show();" style="margin-right:20px;" >
                              <f:param name="id4" value="#{image.getIdContenido()}"/>
                              </p:commandButton>
                   </h:form>
 					  
					<h:form>
		            <p:commandButton rendered="#{BeanDeSeguridad.isSecion() and SitioBean.isSecionArtistaDueño()}" value="Editar Contenido" action="#{ContenidoBean.prepararEditar()}" oncomplete="PF('dlgEC').show();">
		                <f:param name="id3" value="#{image.getIdContenido()}"/>
		            </p:commandButton>
		            </h:form>
					
					<p:graphicImage value="/img/#{image.getNombre()}" style="height: 100%; width: 100%; border-radius: 10px;" />
								
				</p:galleria>
			</div>
		</h:panelGroup>
	</h:column>
	</h:dataTable>

</h:panelGroup>
	
<h:panelGroup  rendered="#{tipo eq 'fans'}">

	<h:dataTable var="list" value="#{SitioBean.p}" style="width: 100%;">
	<h:column>
	<h:panelGroup  rendered="#{list.isPrivado() and not list.isPremium() and not list.getL().isEmpty() }">
			
			<h:panelGroup  rendered="#{SitioBean.isFan() or BeanDeSeguridad.isSecionArtista()}">
			<div
				style="display: flex; align-items: center; justify-content: center;">
				<h3>#{list.getNombre()}</h3>
			</div>
			<div style="display: flex; justify-content: center; margin: 20px;">
	
				<p:galleria value="#{list.getL()}" var="image" panelWidth="500"
					panelHeight="313" showCaption="true">
					<h:form>
                    <p:commandButton rendered="#{BeanDeSeguridad.isSecion() and SitioBean.isFan() or SitioBean.isSecionArtistaDueño()}" value ="Comentar y Valorar" action="#{ContenidoBean.ListarComentarios()}" oncomplete="PF('sidebar2').show()">
						<f:param name="id" value="#{image.getIdContenido()}"/>
                    </p:commandButton>
                	</h:form>
					<h:form>
		                <p:commandButton rendered="#{BeanDeSeguridad.isSecion() and SitioBean.isSecionArtistaDueño()}" value="Eliminar" action="#{ContenidoBean.prepararEditar2()}" oncomplete="PF('dlgELC').show();">
						<f:param name="id2" value="#{image.getIdContenido()}"/>
						</p:commandButton>
		            </h:form>
		            
					<h:form>
                            <p:commandButton rendered="#{BeanDeSeguridad.isSecion() and not SitioBean.isSecionArtistaDueño()}" value="Reportar" action="#{SitioBean.prepararReport()}"
                              oncomplete="PF('reportar').show();" style="margin-right:20px;" >
                              <f:param name="id4" value="#{image.getIdContenido()}"/>
                              </p:commandButton>
                   </h:form>
 					  
					<h:form>
		            <p:commandButton rendered="#{BeanDeSeguridad.isSecion() and SitioBean.isSecionArtistaDueño()}" value="Editar Contenido" action="#{ContenidoBean.prepararEditar()}" oncomplete="PF('dlgEC').show();">
		                <f:param name="id3" value="#{image.getIdContenido()}"/>
		            </p:commandButton>
		            </h:form>
					<p:graphicImage value="/img/#{image.getNombre()}" style="height: 100%; width: 100%; border-radius: 10px;" />
					
			
					
				</p:galleria>
			</div>
			</h:panelGroup>
			
			<h:panelGroup  rendered="#{not SitioBean.isFan() and not BeanDeSeguridad.isSecionArtista()}">
			<div
				style="display: flex; align-items: center; justify-content: center;">
				<h3>#{list.getNombre()}</h3>
			</div>
			<div style="display: flex; justify-content: center; margin: 20px;">
	
				<p:galleria value="#{list.getL()}" var="image" panelWidth="500"
					panelHeight="313" showCaption="true">
					<p:graphicImage value="../img2/solofan.jpg" style="height: 100%; width: 100%; border-radius: 10px;" />
				</p:galleria>
			</div>
			</h:panelGroup>
			
		</h:panelGroup>
		
		
	</h:column>
	</h:dataTable>

</h:panelGroup>
	
<h:panelGroup  rendered="#{tipo eq 'vip'}">

	<h:dataTable var="list" value="#{SitioBean.p}" style="width: 100%;">
	<h:column>
		<h:panelGroup rendered="#{list.isPremium() and not list.getL().isEmpty() }" >
		
			<h:panelGroup>
			<div
				style="display: flex; align-items: center; justify-content: center;">
				<h3>#{list.getNombre()}</h3>
			</div>
			<div style="display: flex; justify-content: center; margin: 20px;">
	
				<p:galleria value="#{list.getL()}" var="image" panelWidth="500"
					panelHeight="313" showCaption="true">
               			<h:form>       
						<p:commandButton value="$" rendered="#{BeanDeSeguridad.isSecion() and SitioBean.isFan()}" type="button" onclick="PF('dlgCom2').show();"/>
 					</h:form> 
 					
					<h:form>
                    <p:commandButton rendered="#{BeanDeSeguridad.isSecion() and SitioBean.isFan() or SitioBean.isSecionArtistaDueño()}" value ="Comentar y Valorar" action="#{ContenidoBean.ListarComentarios()}" oncomplete="PF('sidebar2').show()">
						<f:param name="id" value="#{image.getIdContenido()}"/>
                    </p:commandButton>
                	</h:form>
					<h:form>
		                <p:commandButton rendered="#{BeanDeSeguridad.isSecion() and SitioBean.isSecionArtistaDueño()}" value="Eliminar" action="#{ContenidoBean.prepararEditar2()}" oncomplete="PF('dlgELC').show();">
						<f:param name="id2" value="#{image.getIdContenido()}"/>
						</p:commandButton>
		            </h:form>
		            
						<h:form>
                            <p:commandButton rendered="#{BeanDeSeguridad.isSecion() and not SitioBean.isSecionArtistaDueño()}" value="Reportar" action="#{SitioBean.prepararReport()}"
                              oncomplete="PF('reportar').show();" style="margin-right:20px;" >
                              <f:param name="id4" value="#{image.getIdContenido()}"/>
                              </p:commandButton>
                   </h:form>
 					  
					<h:form>
		            <p:commandButton rendered="#{BeanDeSeguridad.isSecion() and SitioBean.isSecionArtistaDueño()}" value="Editar Contenido" action="#{ContenidoBean.prepararEditar()}" oncomplete="PF('dlgEC').show();">
		                <f:param name="id3" value="#{image.getIdContenido()}"/>
		            </p:commandButton>
		            </h:form>
		            

					<p:graphicImage rendered="#{SitioBean.isPermiso(image.getIdContenido())}" value="/img/#{image.getNombre()}" style="height: 100%; width: 100%; border-radius: 10px;" />
					
					


					<h:panelGroup rendered="#{not SitioBean.isPermiso(image.getIdContenido())}">
					<p:graphicImage value="../img2/soloVip.jpg" style="height: 50%; width: 50%; border-radius: 1px;" />
						
					</h:panelGroup>	


				</p:galleria>
				
					<h:form>   
					     
					    <p:growl id="growl" sticky="true" showDetail="true" life="3000" />
					     
					    <p:dialog id="modale1" header="Login" widgetVar="dlgCom2" resizable="false">
					        <h:panelGrid columns="2" cellpadding="5">
					            <h:outputLabel value="El precio de esta compra es:" />
					            <h:outputLabel value="#{SitioBean.PreCompra('1',list.getIdpaquete(),'paquete')}" />
					            <f:facet name="footer">
					                <p:commandButton value="Comprar" update="growl" action="#{SitioBean.comprar()}"
					                                 oncomplete="handleLoginRequestCom(xhr, status, args)" />
					            </f:facet>  
					        </h:panelGrid>
					    </p:dialog>    
					</h:form>
		
			</div>
			</h:panelGroup>
			
		</h:panelGroup>
	</h:column>
	</h:dataTable>
	
</h:panelGroup>
				
</ui:composition>
</h:body>	
</html>